<p align="center"><a href="https://safenotes.dev/"><img src="assets/images/splash.png" width="150"></a></p> 
<h2 align="center"><b>Safe Notes</b></h2>
<h4 align="center">Encrypted, Private note manager.</h4>

<p align="center"><a href="https://play.google.com/store/apps/details?id=com.trisven.safenotes"><img src="https://raw.githubusercontent.com/keshav-space/safenotes/main/assets/github/get-it-on-google-play-badge.png" height='65px' ></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="https://f-droid.org/en/packages/com.trisven.safenotes/"><img src="https://raw.githubusercontent.com/keshav-space/safenotes/main/assets/github/get-it-on-f-droid-badge.png" height='65px'></a></p>

<p align="center">
<a href="https://github.com/keshav-space/safenotes/releases" alt="GitHub release"><img src="https://img.shields.io/github/v/release/keshav-space/safenotes?style=for-the-badge&logo=windowsterminal" ></a>
<a href="https://www.gnu.org/licenses/gpl-3.0" alt="License: GPLv3"><img src="https://img.shields.io/badge/License-GPL%20v3-blue.svg?style=for-the-badge&logo=gnu"></a>
<br>
<a href="https://github.com/keshav-space/safenotes/actions/" alt="Build Status"><img src="https://img.shields.io/github/actions/workflow/status/keshav-space/safenotes/flutter-ci.yml?style=for-the-badge&logo=github"></a>
<a href="#" alt="Total downloads"><img src="https://img.shields.io/endpoint?url=https%3A%2F%2Fholy-morning-0b6f.safenotes.workers.dev%2F&logo=docusign&style=for-the-badge"></a>
<a href="https://matrix.to/#/#safenotes:matrix.org" alt="MATRIX channel: #safenotes"><img src="https://img.shields.io/matrix/safenotes:matrix.org?style=for-the-badge&logo=matrix"></a>
</p>


<p align="center">
<img src="https://raw.githubusercontent.com/keshav-space/safenotes/dev/fastlane/metadata/android/en-US/images/featureGraphic.png"  width="768" style="border-radius:10px;">
</p>

<hr>
<p align="center"><a href="#screenshots">Screenshots</a> &bull; <a href="#description">Description</a> &bull; <a href="#features">Features</a> &bull; <a href="#installation-and-updates">Installation and updates</a> &bull; <a href="#contribution">Contribution</a>  &bull; <a href="https://safenotes.dev/privacy-policy.html">Privacy Policy</a>  &bull; <a href="#license">License</a></p>
<p align="center"><a href="https://safenotes.dev/">Website</a> &bull; <a href="https://safenotes.dev/bug-reporting.html">Reporting a Bug</a> &bull; <a href="https://safenotes.dev/faqs.html">FAQ</a> &bull; <a href=".">Press</a></p>
<hr>

## Screenshots
<p align="center">
<img src="https://raw.githubusercontent.com/keshav-space/safenotes/main/fastlane/metadata/android/en-US/images/phoneScreenshots/image1.png" width="30%" style="border-radius: 10px 0 0 0">&nbsp;&nbsp;<img src="https://raw.githubusercontent.com/keshav-space/safenotes/main/assets/github/image2.gif" width="30%">&nbsp;&nbsp;<img src="https://raw.githubusercontent.com/keshav-space/safenotes/main/fastlane/metadata/android/en-US/images/phoneScreenshots/image3.png" width="30%" style="border-radius:0 10px 0 0" >
<br><img src="https://raw.githubusercontent.com/keshav-space/safenotes/main/fastlane/metadata/android/en-US/images/phoneScreenshots/image4.png" width="30%" style="border-radius:0 0 0 10px">&nbsp;&nbsp;<img src="https://raw.githubusercontent.com/keshav-space/safenotes/main/fastlane/metadata/android/en-US/images/phoneScreenshots/image5.png" width="30%">&nbsp;&nbsp;<img src="https://raw.githubusercontent.com/keshav-space/safenotes/main/fastlane/metadata/android/en-US/images/phoneScreenshots/image7.png" width="30%" style="border-radius:0 0 10px 0">
</p>



## Description

Safe Notes is a privacy-focused note manager which provides an inbuild encrypted storage. It imploys rigorously tested  AES-256 encryption standard to store user notes. All the notes are stored locally on the user's device. Contrary to the ongoing frenzy of "move everything to cloud" we believe in "localization of user data" giving you the control of your data and not some third-party cloud service provider.
We know you gotta change your device once in a while that's why Safe Notes also provides a secure migration facility, which allows you to export and import your notes without having to compromise the sanctity of your data. Word of advice, keep your passphrase long and secret. May encryption protect us all!

> **Note**  
> With great security comes the great responsibility of remembering the passphrase!

### Features

* Encrypted AES-256 storage
* Biometric authentication
* Android background snapshot protection
* Incognito Keyboard
* Brute-force protection
* Prevents data snooping via adb
* Inactivity guard
* Automated encrypted backup
* Beautiful [Arctic Nord](https://www.nordtheme.com) style dark/light theme
* List and grid view
* Colorful notes
* Seamless migration to new device 
* Completely anonymous no inbound and outbound request

> **Warning**  
> Some security features cannot be guaranteed to work if you are using a rooted device.

<!-- Hidden span to keep old links compatible. -->
<span id="updates"></span>

## Installation and updates
You can install Safe Notes using one of the following methods:
 1. Download Safe Notes from the Google Play store using this [link.](https://play.google.com/store/apps/details?id=com.trisven.safenotes)
 2. Download Safe Notes from the F-Droid using this [link.](https://f-droid.org/en/packages/com.trisven.safenotes/)
 3. Download the APK from [Github Releases](https://github.com/keshav-space/safenotes/releases) and install it.
 4. Build a debug APK yourself. This is the fastest way to get new features on your device, but is much more complicated, so we recommend using one of the other methods.

We recommend method 1 or 2 for most users. Building a debug APK using method 4 excludes a key entirely. Signing keys help ensure that a user isn't tricked into installing a malicious update to an app.


## Contribution
Whether you have ideas, design changes, code cleaning, or real heavy code changes, help is always welcome.
The more is done the better it gets!  
If you'd like to get involved, check our [contribution notes](.github/CONTRIBUTING.md).  

Help translate [Safe Notes on Hosted Weblate](https://hosted.weblate.org/engage/safe-notes/)  
<a href="https://hosted.weblate.org/engage/safe-notes/">
<img src="https://hosted.weblate.org/widgets/safe-notes/en/safe-notes-app/multi-auto.svg" alt="Translation status" />
</a>

## Privacy Policy

The Safe Notes project aims to provide a encrypted, private, anonymous experience for local note storage. The app doesn't send any outbound requests neither does it receives any inbound requests. Hence, it doesn't collect any data whatsoever. You can find the document [here](https://safenotes.dev/privacy-policy.html).

## License
[![GNU GPLv3 Image](https://www.gnu.org/graphics/gplv3-127x51.png)](https://www.gnu.org/licenses/gpl-3.0.en.html)  

Safe Notes is Free Software: You can use, study share and improve it at your
will. Specifically 
[GNU General Public License](https://www.gnu.org/licenses/gpl.html) as
published by the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.  

## Supporters
|<a href="https://weblate.org/"><img src="https://camo.githubusercontent.com/5926c2f29fc311a4464ec56e5628e2bddac456dbc6d52214767522117dfa0940/68747470733a2f2f732e7765626c6174652e6f72672f63646e2f4c6f676f2d4461726b746578742d626f72646572732e706e67" width="75%"></a>|Weblate is helping with continuous localization as part of their ongoing support for libre software projects.|
|:---:|:---:|
